Tip 1 : Must do Previously asked Interview as well as Online Test Questions.
Tip 2 : Go through all the previous interview experiences from Codestudio and Leetcode.
Tip 3 : Do at-least 2 good projects and you must know every bit of them.
Tip 1 : Have at-least 2 good projects explained in short with all important points covered.
Tip 2 : Every skill must be mentioned.
Tip 3 : Focus on skills, projects and experiences more.
Standard Data Structures and Algorithms round . One has to be fairly comfortable in solving algorithmic problems to pass this round with ease.
Naive Solution :
A simple solution is to traverse each element and check if there’s another number in the array which can be added to it to give sum.
TC: O(n^2)
SC:O(1)
Efficient Solution (Using Hashing ) :
We create an empty hash table. Now we traverse through the array and check for pairs in the hash table. If a matching element is found, we print the pair number of tim...
Algorithm :
1)Create a recursive function (say TreeNode*build(arr,start,end) ) which returns the root of the newly cretaed BST . The parameters of this function will be the sorted array , left end of the array , right end of the array .
2)Now, find the mid element of the array and make it as the root i.e.,
TreeNode*root=new TreeNode(arr[mid]); where mid=(start+end)/2
<...
Again a DSA specific round , where I was given two problems to solve ranging from Medium to Hard. Major topics discussed were Binary Trees and Dynamic Programming.
The approach is to use the preorder traversal of the tree to traverse the tree and check that we have visited the current vertical level and if visited then we can check for the smaller horizontal level node and store it. Else we can just update the vertical level as visited and store the node and horizontal level of the current node.
1) We have to create the map to check whether the hor...
Approach 1 : Naive Recursive Approach
A naive approach is to start from the first element and recursively call for all the elements reachable from first element. The minimum number of jumps to reach end from first can be calculated using minimum number of jumps needed to reach end from the elements reachable from first.
minJumps(start, end) = Min ( minJumps(k, end) ) for all k rea...
This round majorly focused on past projects and experiences from my Resume and some standard System Design + LLD questions + some basic OS questions which a SDE-2 is expected to know .
Design a URL Shortener
Tip 1: Firstly, remember that the system design round is extremely open-ended and there’s no such thing as a standard answer. Even for the same question, you’ll have a totally different discussion with different interviewers.
Tip 2: Before you jump into the solution always clarify all the assumptions you’re making at the beginning of the interview. Ask questions to identify the sco...
Print 1 to 100 using more than two threads(optimized approach).
Prerequisite to solve this problem : Multithreading
The idea is to create two threads and print even numbers with one thread and odd numbers with another thread. Below are the steps:
1) Create two threads T1 and T2 , where T1 and T2 are used to print odd and even numbers respectively.
2) Maintain a global counter variable and start both threads.
3) If the counter is even in ...
can you please tell after how many days u hear from walmart for 1st round after appyling from careersite? Even I applied today from career site so need to know when will i get to attend for first round.